[PATCH blktests v2 06/18] nvme/rc: use long command line option for nvme
Daniel Wagner
dwagner at suse.de
Fri Mar 22 06:50:03 PDT 2024
- Previous message (by thread): [PATCH blktests v2 05/18] nvme/{012,013,035}: check return value of _xfs_run_fio_verify_io
- Next message (by thread): [PATCH blktests v2 07/18] nvme/{014,015,018,019,020,023,024,026,045,046}: use long command line option for nvme
- Messages sorted by:
[ date ]
[ thread ]
[ subject ]
[ author ]
The long format of the command line option are more descriptive and more
likely to stay stable.
Signed-off-by: Daniel Wagner <dwagner at suse.de>
---
tests/nvme/rc | 18 +++++++++---------
1 file changed, 9 insertions(+), 9 deletions(-)
diff --git a/tests/nvme/rc b/tests/nvme/rc
index e67bb846ab77..6bf2e3ae37c5 100644
--- a/tests/nvme/rc
+++ b/tests/nvme/rc
@@ -148,7 +148,7 @@ _require_nvme_trtype_is_fabrics() {
}
_require_nvme_cli_auth() {
- if ! nvme gen-dhchap-key -n nvmf-test-subsys > /dev/null 2>&1 ; then
+ if ! nvme gen-dhchap-key --nqn nvmf-test-subsys > /dev/null 2>&1 ; then
SKIP_REASONS+=("nvme gen-dhchap-key command missing")
return 1
fi
@@ -396,13 +396,13 @@ _setup_nvmet() {
_nvme_disconnect_ctrl() {
local ctrl="$1"
- nvme disconnect -d "${ctrl}"
+ nvme disconnect --device "${ctrl}"
}
_nvme_disconnect_subsys() {
local subsysnqn="$1"
- nvme disconnect -n "${subsysnqn}" |& tee -a "$FULL" |
+ nvme disconnect --nqn "${subsysnqn}" |& tee -a "$FULL" |
grep -o "disconnected.*"
}
@@ -496,11 +496,11 @@ _nvme_connect_subsys() {
trtype="$1"
subsysnqn="$2"
- ARGS=(-t "${trtype}" -n "${subsysnqn}")
+ ARGS=(--transport "${trtype}" --nqn "${subsysnqn}")
if [[ "${trtype}" == "fc" ]] ; then
- ARGS+=(-a "${traddr}" -w "${host_traddr}")
+ ARGS+=(--traddr "${traddr}" --host-traddr "${host_traddr}")
elif [[ "${trtype}" != "loop" ]]; then
- ARGS+=(-a "${traddr}" -s "${trsvcid}")
+ ARGS+=(--traddr "${traddr}" --trsvcid "${trsvcid}")
fi
ARGS+=(--hostnqn="${hostnqn}")
ARGS+=(--hostid="${hostid}")
@@ -565,13 +565,13 @@ _nvme_discover() {
local host_traddr="${3:-$def_host_traddr}"
local trsvcid="${3:-$def_trsvcid}"
- ARGS=(-t "${trtype}")
+ ARGS=(--transport "${trtype}")
ARGS+=(--hostnqn="${def_hostnqn}")
ARGS+=(--hostid="${def_hostid}")
if [[ "${trtype}" = "fc" ]]; then
- ARGS+=(-a "${traddr}" -w "${host_traddr}")
+ ARGS+=(--traddr "${traddr}" --host-traddr "${host_traddr}")
elif [[ "${trtype}" != "loop" ]]; then
- ARGS+=(-a "${traddr}" -s "${trsvcid}")
+ ARGS+=(--traddr "${traddr}" --trsvcid "${trsvcid}")
fi
nvme discover "${ARGS[@]}"
}
--
2.44.0
- Previous message (by thread): [PATCH blktests v2 05/18] nvme/{012,013,035}: check return value of _xfs_run_fio_verify_io
- Next message (by thread): [PATCH blktests v2 07/18] nvme/{014,015,018,019,020,023,024,026,045,046}: use long command line option for nvme
- Messages sorted by:
[ date ]
[ thread ]
[ subject ]
[ author ]
More information about the Linux-nvme
mailing list